/*
* Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
* ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
*/
package com.sun.ts.tests.jpa.common.pluggability.altprovider.implementation;

import javax.persistence.*;

public class CacheImpl implements Cache {

	protected TSLogger logger;

	public CacheImpl() {
		        logger = TSLogger.getInstance();
	}


    @Override
   	public boolean contains(java.lang.Class cls, java.lang.Object primaryKey) {
        return false;
    }
    @Override
   	public void	evict(java.lang.Class cls) {
    }
    @Override
   	public void	evict(java.lang.Class cls, java.lang.Object primaryKey) {
    }
    @Override
   	public void	evictAll() {

    }
    @Override
   	public Class unwrap(java.lang.Class cls) {
        return cls;
    }

}
